Get domains
Gets paginated result of domain and stats in your portfolio. Optional query parameters can be used to filter the results.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"includes?array<>The options for retrieving additional domain data.
Note: Search data is available to Discount Domain Club Domain Pro members.
offset?integerThe number of entries to skip before starting to collect the result set
int640 <= valuelimit?integerThe maximum number of entries to return
int640 <= value10order?stringThe options for ordering the domains in the result.
"BUYNOW_PRICE_ASC""BUYNOW_PRICE_DESC""CREATED_AT_ASC""CREATED_AT_DESC""NAME_ASC""NAME_DESC""DISPLAY_NAME_ASC""DISPLAY_NAME_DESC""LEADS_ASC""LEADS_DESC""INTAKE_VIEWS_ASC""INTAKE_VIEWS_DESC""FAST_TRANSFER_STATUS_ASC""FAST_TRANSFER_STATUS_DESC""FEATURED_ASC""FEATURED_DESC""FLOOR_PRICE_ASC""FLOOR_PRICE_DESC""INTAKE_STYLE_ASC""INTAKE_STYLE_DESC""LANDING_PAGE_ASC""LANDING_PAGE_DESC""LIST_STATUS_ASC""LIST_STATUS_DESC""MINBID_PRICE_ASC""MINBID_PRICE_DESC""REGISTRAR_ASC""REGISTRAR_DESC""LISTED_AT_ASC""LISTED_AT_DESC"listStatus?array<>Filter domains by whether the domains match any of the specified status. Supports multiple statuses separated by commas.
buynowMin?integerFilter domains with a minimum buynowPrice
int640 <= value <= 49999999000000buynowMax?integerFilter domains with a maximum buynowPrice
int640 <= value <= 49999999000000floorMin?integerFilter domains with a minimum Floor price
int640 <= value <= 49999999000000floorMax?integerFilter domains with a maximum Floor price
int640 <= value <= 49999999000000minbidMin?integerFilter domains with a minimum Minbid price
int640 <= value <= 49999999000000minbidMax?integerFilter domains with a maximum Minbid price
int640 <= value <= 49999999000000leasing?booleanFilter domains by whether the domains are leased or not
listedAtStartDate?stringDenotes start of date range for filtering of domains by when the domain was listed at.
date-timelistedAtEndDate?stringDenotes end of date range for filtering of domains by when the domain was listed at.
date-timeX-Request-Id?stringA unique identifier for the request
A paginated result of your domains with the specified filters.
application/json- response
domains*array<>pagination*curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/domains?listedAtStartDate=2024-01-01T18%3A39%3A53Z&listedAtEndDate=2025-01-01T18%3A39%3A53Z'{ "domains": [ { "registrar": "GODADDY", "fastTransferStatus": "AWAITING_OPT_IN", "intakeLeads": 10, "offerCount": 10, "intakeViews": 10, "listedAt": "2006-01-02T15:04:05Z", "transactionLink": "string", "searches": { "total": { "30d": 8, "90d": 18, "365d": 67 }, "unique": { "30d": 8, "90d": 18, "365d": 67 } }, "name": "example.com", "featured": true, "hidden": false, "buynowPrice": 500000000, "floorPrice": 500000000, "minbidPrice": 500000000, "maxLeasePeriod": 36, "leasingEnabled": false, "displayName": "exämple.de", "intakeStyle": "PRICE_FORM", "showLanderMakeOfferOption": false, "showLanderLeaseToOwnOption": false, "showLanderBuynowOption": false, "landingPage": "SALES_TYPE", "updatedAt": "2006-01-02T15:04:05Z", "createdAt": "2006-01-02T15:04:05Z", "listStatus": "ACTIVE", "tld": "co.uk" } ], "pagination": { "first": "http://example.com", "last": "http://example.com", "next": "http://example.com", "previous": "http://example.com", "total": 0 }}